<?php

use Illuminate\Database\Migrations\Migration;

class CreateCustomerservicesettingsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: customerservicesettings
         */
        Schema::create('customerservicesettings', function ($table) {
            $table->increments('id');
            $table->dateTime('office_hours')->nullable();
            $table->dateTime('off_hours')->nullable();
            $table->integer('limit_number')->nullable();
            $table->string('welcome_tips', 1000)->nullable();
            $table->string('off_hours_tips', 1000)->nullable();
            $table->string('queue_tips', 1000)->nullable();
            $table->string('slug', 200)->nullable();
            $table->enum('status', ['draft', 'complete', 'verify', 'approve', 'publish', 'unpublish', 'archive'])->default('draft')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type',50)->nullable();
            $table->string('upload_folder', 100)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('customerservicesettings');
    }
}
