<?php

namespace Lavalite\Kefu\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Lavalite\Kefu\Interfaces\CustomerservicesettingRepositoryInterface;

class CustomerservicesettingPublicController extends BaseController
{
    // use CustomerservicesettingWorkflow;

    /**
     * Constructor.
     *
     * @param type \Lavalite\Customerservicesetting\Interfaces\CustomerservicesettingRepositoryInterface $customerservicesetting
     *
     * @return type
     */
    public function __construct(CustomerservicesettingRepositoryInterface $customerservicesetting)
    {
        $this->repository = $customerservicesetting;
        parent::__construct();
    }

    /**
     * Show customerservicesetting's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $customerservicesettings = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();

        return $this->theme->of('kefu::public.customerservicesetting.index', compact('customerservicesettings'))->render();
    }

    /**
     * Show customerservicesetting.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $customerservicesetting = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->theme->of('kefu::public.customerservicesetting.show', compact('customerservicesetting'))->render();
    }

}
