<?php

namespace Lavalite\Kefu\Providers;

use Litepie\Contracts\Workflow\Workflow as WorkflowContract;
use Litepie\Foundation\Support\Providers\WorkflowServiceProvider as ServiceProvider;

class WorkflowServiceProvider extends ServiceProvider
{
    /**
     * The validators mappings for the package.
     *
     * @var array
     */
    protected $validators = [
        
        // Bind Customerservicesetting validator
        \Lavalite\Kefu\Models\Customerservicesetting::class => \Lavalite\Kefu\Workflow\CustomerservicesettingValidator::class,
    ];

    /**
     * The actions mappings for the package.
     *
     * @var array
     */
    protected $actions = [
        
        // Bind Customerservicesetting actions
        \Lavalite\Kefu\Models\Customerservicesetting::class => \Lavalite\Kefu\Workflow\CustomerservicesettingAction::class,
    ];

    /**
     * The notifiers mappings for the package.
     *
     * @var array
     */
    protected $notifiers = [
       
        // Bind Customerservicesetting notifiers
        \Lavalite\Kefu\Models\Customerservicesetting::class => \Lavalite\Kefu\Workflow\CustomerservicesettingNotifier::class,
    ];

    /**
     * Register any package workflow validation services.
     *
     * @param \Litepie\Contracts\Workflow\Workflow $workflow
     *
     * @return void
     */
    public function boot(WorkflowContract $workflow)
    {
        parent::registerValidators($workflow);
        parent::registerActions($workflow);
        parent::registerNotifiers($workflow);
    }
}
