<?php

namespace Lavalite\Kefu\Workflow;

use Exception;
use Litepie\Workflow\Exceptions\WorkflowActionNotPerformedException;

use Lavalite\Kefu\Models\Customerservicesetting;

class CustomerservicesettingAction
{
    /**
     * Perform the complete action.
     *
     * @param Customerservicesetting $customerservicesetting
     *
     * @return Customerservicesetting
     */
    public function complete(Customerservicesetting $customerservicesetting)
    {
        try {
            $customerservicesetting->status = 'complete';
            return $customerservicesetting->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the verify action.
     *
     * @param Customerservicesetting $customerservicesetting
     *
     * @return Customerservicesetting
     */public function verify(Customerservicesetting $customerservicesetting)
    {
        try {
            $customerservicesetting->status = 'verify';
            return $customerservicesetting->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the approve action.
     *
     * @param Customerservicesetting $customerservicesetting
     *
     * @return Customerservicesetting
     */public function approve(Customerservicesetting $customerservicesetting)
    {
        try {
            $customerservicesetting->status = 'approve';
            return $customerservicesetting->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the publish action.
     *
     * @param Customerservicesetting $customerservicesetting
     *
     * @return Customerservicesetting
     */public function publish(Customerservicesetting $customerservicesetting)
    {
        try {
            $customerservicesetting->status = 'publish';
            return $customerservicesetting->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the archive action.
     *
     * @param Customerservicesetting $customerservicesetting
     *
     * @return Customerservicesetting
     */
    public function archive(Customerservicesetting $customerservicesetting)
    {
        try {
            $customerservicesetting->status = 'archive';
            return $customerservicesetting->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the unpublish action.
     *
     * @param Customerservicesetting $customerservicesetting
     *
     * @return Customerservicesetting
     */
    public function unpublish(Customerservicesetting $customerservicesetting)
    {
        try {
            $customerservicesetting->status = 'unpublish';
            return $customerservicesetting->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }
}
