<?php

namespace Lavalite\Kefu\Workflow;

use Lavalite\Kefu\Models\Customerservicesetting;
use Lavalite\Kefu\Notifications\Customerservicesetting as CustomerservicesettingNotifyer;
use Notification;

class CustomerservicesettingNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Customerservicesetting $customerservicesetting
     *
     * @return void
     */
    public function complete(Customerservicesetting $customerservicesetting)
    {
        return Notification::send($customerservicesetting->user, new CustomerservicesettingNotifyer($customerservicesetting, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Customerservicesetting $customerservicesetting
     *
     * @return void
     */
    public function verify(Customerservicesetting $customerservicesetting)
    {
        return Notification::send($customerservicesetting->user, new CustomerservicesettingNotifyer($customerservicesetting, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Customerservicesetting $customerservicesetting
     *
     * @return void
     */
    public function approve(Customerservicesetting $customerservicesetting)
    {
        return Notification::send($customerservicesetting->user, new CustomerservicesettingNotifyer($customerservicesetting, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Customerservicesetting $customerservicesetting
     *
     * @return void
     */
    public function publish(Customerservicesetting $customerservicesetting)
    {
        return Notification::send($customerservicesetting->user, new CustomerservicesettingNotifyer($customerservicesetting, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Customerservicesetting $customerservicesetting
     *
     * @return void
     */
    public function archive(Customerservicesetting $customerservicesetting)
    {
        return Notification::send($customerservicesetting->user, new CustomerservicesettingNotifyer($customerservicesetting, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Customerservicesetting $customerservicesetting
     *
     * @return void
     */
    public function unpublish(Customerservicesetting $customerservicesetting)
    {
        return Notification::send($customerservicesetting->user, new CustomerservicesettingNotifyer($customerservicesetting, 'unpublish'));;

    }
}
